## org.hibernate.jdbc
Interface Work

All Known Implementing Classes:
  HibernateTestCase.RollbackWork

    public interface Work

Contract for performing a discrete piece of JDBC work.

Author:
  Steve Ebersole

Method Summary
`void` `execute(Connection connection)` Execute the discrete work encapsulated by this work instance using the supplied connection.

Method Detail

### execute

    void execute(Connection connection)
                 throws SQLException

  Execute the discrete work encapsulated by this work instance using the supplied connection.

  Parameters:
    `connection` - The connection on which to perform the work.
  Throws:
    `SQLException` - Thrown during execution of the underlying JDBC interaction.
    `HibernateException` - Generally indicates a wrapped SQLException.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.